package com.chenyang.nse.bussiness.jar.db;

import com.chenyang.nse.bussiness.entity.vo.encyption.TCoreClientIpControlledVo;
import java.util.List;

public class ClientIpControlledReq {
   List<TCoreClientIpControlledVo> ips;
   String projectId;

   public List<TCoreClientIpControlledVo> getIps() {
      return this.ips;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setIps(final List<TCoreClientIpControlledVo> ips) {
      this.ips = ips;
   }

   public void setProjectId(final String projectId) {
      this.projectId = projectId;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ClientIpControlledReq)) {
         return false;
      } else {
         ClientIpControlledReq other = (ClientIpControlledReq)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$ips = this.getIps();
            Object other$ips = other.getIps();
            if (this$ips == null) {
               if (other$ips != null) {
                  return false;
               }
            } else if (!this$ips.equals(other$ips)) {
               return false;
            }

            Object this$projectId = this.getProjectId();
            Object other$projectId = other.getProjectId();
            if (this$projectId == null) {
               if (other$projectId != null) {
                  return false;
               }
            } else if (!this$projectId.equals(other$projectId)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof ClientIpControlledReq;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $ips = this.getIps();
      result = result * 59 + ($ips == null ? 43 : $ips.hashCode());
      Object $projectId = this.getProjectId();
      result = result * 59 + ($projectId == null ? 43 : $projectId.hashCode());
      return result;
   }

   public String toString() {
      return "ClientIpControlledReq(ips=" + this.getIps() + ", projectId=" + this.getProjectId() + ")";
   }
}
